# VariantComponent

@Incubating
interface VariantComponent : ModelElement

A component that has one or more mutually exclusive variants.

#### Inheritors

VariantComponentSpec

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getVariants
Link copied to clipboard
abstract fun getVariants(): Iterable<out Binary>
The variants of this component.